<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__ancs__char__value__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_ancs_char_value_t</compoundname>
    <includes local="no">cy_ble_ancs.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__ancs__char__value__t_1a5874f75e3d3fe8277dbe555b461b5aaa" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_ancs_char_value_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Peer Device Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ancs.h" bodystart="104" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ancs.h" line="104" />
      </memberdef>
      <memberdef id="structcy__stc__ble__ancs__char__value__t_1a1bf29d7a046a958d501e968ded08369b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___a_n_c_s__definitions_1gaf2d82778858b6ddb4ad69aa318b2d761">cy_en_ble_ancs_char_index_t</ref></type>
        <definition>cy_en_ble_ancs_char_index_t cy_stc_ble_ancs_char_value_t::charIndex</definition>
        <argsstring />
        <name>charIndex</name>
        <briefdescription>
<para>Index of Service Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ancs.h" bodystart="105" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ancs.h" line="105" />
      </memberdef>
      <memberdef id="structcy__stc__ble__ancs__char__value__t_1ada6898d6ec157887a9381af4f6e3cfa7" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__value__t">cy_stc_ble_gatt_value_t</ref> *</type>
        <definition>cy_stc_ble_gatt_value_t* cy_stc_ble_ancs_char_value_t::value</definition>
        <argsstring />
        <name>value</name>
        <briefdescription>
<para>Characteristic Value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ancs.h" bodystart="106" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ancs.h" line="106" />
      </memberdef>
      <memberdef id="structcy__stc__ble__ancs__char__value__t_1a9438c1ae28b138c5778c28521fae4aed" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga840a7207c3fa1dd4e5d88f0bdfdceecb">cy_en_ble_gatt_err_code_t</ref></type>
        <definition>cy_en_ble_gatt_err_code_t cy_stc_ble_ancs_char_value_t::gattErrorCode</definition>
        <argsstring />
        <name>gattErrorCode</name>
        <briefdescription>
<para>GATT error code for access control. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ancs.h" bodystart="107" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ancs.h" line="107" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>ANCS Characteristic value parameter structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="54">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="53">
        <label>cy_stc_ble_gatt_value_t</label>
        <link refid="structcy__stc__ble__gatt__value__t" />
      </node>
      <node id="52">
        <label>cy_stc_ble_ancs_char_value_t</label>
        <link refid="structcy__stc__ble__ancs__char__value__t" />
        <childnode refid="53" relation="usage">
          <edgelabel>value</edgelabel>
        </childnode>
        <childnode refid="54" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="108" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ancs.h" bodystart="102" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ancs.h" line="103" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__ancs__char__value__t_1a1bf29d7a046a958d501e968ded08369b" virt="non-virtual"><scope>cy_stc_ble_ancs_char_value_t</scope><name>charIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__ancs__char__value__t_1a5874f75e3d3fe8277dbe555b461b5aaa" virt="non-virtual"><scope>cy_stc_ble_ancs_char_value_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__ancs__char__value__t_1a9438c1ae28b138c5778c28521fae4aed" virt="non-virtual"><scope>cy_stc_ble_ancs_char_value_t</scope><name>gattErrorCode</name></member>
      <member prot="public" refid="structcy__stc__ble__ancs__char__value__t_1ada6898d6ec157887a9381af4f6e3cfa7" virt="non-virtual"><scope>cy_stc_ble_ancs_char_value_t</scope><name>value</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>